Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::iter_distance_fn Struct Reference
Iterator
Inheritance diagram for ranges::iter_distance_fn:

## Public Member Functions
template<typename I , typename S >
constexpr iter_difference_t< I > | operator() (I first, S last) const

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S >

constexpr iter_difference_t<I> ranges::iter_distance_fn::operator() | ( | I | first,
|  | S | last
| ) |  | const
| constexpr

Precondition
  requires `input_or_output_iterator<I> && sentinel_for<S, I>`